Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004138OCamlOCaml documentationpublic2006-10-20 23:532013-07-29 14:25
ReporterMartin Jambon 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.2 
Target Version4.01.0+devFixed in Version4.01.0+dev 
Summary0004138: Documentation for Unix.mkdir
DescriptionThe documentation says:

val mkdir : string -> file_perm -> unit
       Create a directory with the given permissions.

It should mention something about the permission mask being applied when there is one.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007712)
doligez (administrator)
2012-07-11 16:23

Since the Unix module is a thin layer on top of Unix system calls, we probably don't want to duplicate the Unix documentation. We should maybe add a general remark at the top of the Unix module to tell the users to see the man pages for more details.
(0009979)
doligez (administrator)
2013-07-29 14:25

Added a reference to umask in the descriptions of openfile, mkdir, and mkfifo (4.01 branch, rev 13950).

- Issue History
Date Modified Username Field Change
2006-10-20 23:53 Martin Jambon New Issue
2006-11-15 16:08 doligez Status new => acknowledged
2012-07-11 16:23 doligez Note Added: 0007712
2012-07-11 16:23 doligez Target Version => 4.01.0+dev
2012-07-31 13:37 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-14 23:42 doligez Target Version 4.00.1+dev => 4.00.2+dev
2013-07-02 16:46 doligez Target Version 4.00.2+dev => 4.01.0+dev
2013-07-29 14:25 doligez Note Added: 0009979
2013-07-29 14:25 doligez Status acknowledged => closed
2013-07-29 14:25 doligez Resolution open => fixed
2013-07-29 14:25 doligez Fixed in Version => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker